/* General */
html {
	height: 100%;
}

body {
	border-radius: 7px;
	background-color: #eee;
	background-image: url(https://gymnasia-lockers.co.il/images/background.jpg);
	background-position: 50% 50%;
	background-size: cover;
	background-repeat: no-repeat;
	background-attachment: fixed;
	-webkit-transition: all 500ms ease;
	transition: all 500ms ease;
	direction: rtl;
	font-family: Assistant, sans-serif;
	font-size: 17px;
	margin: 0;
	min-height: 100%;
	line-height: 20px;
	color: #333;
	padding-top: 53px;
	padding-bottom: 30px;
}

.uk-h1, .uk-h2, .uk-h3, .uk-h4, .uk-h5, .uk-h6, h1, h2, h3, h4, h5, h6 {
	font-family: Assistant, sans-serif;
}

.heading {
	margin-top: 20px;
}

.uk-container-small {
	max-width: 880px;
	border-top: 10px solid #f09000;
    border-bottom: 10px solid #f09000;
    border-radius: 5px;
	background-color: hsla(0, 0%, 95%, .92);
	padding-right: 30px;
	padding-left: 30px;
	padding-top: 30px;
	padding-bottom: 30px;
}

@media (min-width: 960px) {
	.uk-container-small {
    	padding-right: 30px;
    	padding-left: 30px;
    	padding-top: 30px;
    	padding-bottom: 30px;
	}
}

@media (max-width: 1000px) {
	.uk-container-small {
		margin-left: 20px;
		margin-right: 20px;
	}

	body {
		padding-top: 10px;
		padding-bottom: 10px;
	}
}

.text-danger {
	color: #f0506e;
}

/* Logo */ 

@media (max-width: 1000px) {
	.logo {
		width: 110px;
		clear: both;
	}
}

@media (max-width: 850px) {
	.logo {
		margin-top: 0;
	}
}


.logo-wrapper {
	clear: both;
}

/* Locker animation */

.locker-animation {
	text-align: left;
	margin-bottom: -20px;
	text-decoration: underline;
	color: #333;
}

.locker-animation a {
	color: #333;
}

/* Timer */

.timer {
	float: right;
	border: 1px solid #000;
	padding: 10px;
	display: none;
}

@media (max-width: 850px) {
	.timer {
		max-width: 250px;
    	float: none;
    	margin: auto;
    	margin-bottom: 30px;
    }
}

.uk-countdown {
	float: left;
	margin-right: 5px;
}

@media (max-width: 400px) {
	.uk-countdown {
		float: none;
		margin: auto;
		margin-top: 10px;
		max-width: 50px;
	}
}

.uk-countdown-number {
	font-size: 18px;
	line-height: 22px;
}

.uk-countdown-minutes {
	margin-right: 3px;
}

.uk-countdown-separator {
	font-size: 18px;
	line-height: 22px;
	margin-right: 3px;
}

/* Navbar */

.menu-item {
	padding: 0 30px 0 30px;
	padding-bottom: 17px;
	font-size: 17px;
}

.uk-subnav>*>:first-child {
	font-size: 17px;
	color: #333;
}

.uk-subnav {
	margin-top: 40px;
	margin-bottom: 0;
}

.uk-dropdown-nav .uk-nav-sub a {
	color: #1e87f0;
}

a.menu-text {
	cursor: default;
}

/* Progress Bar */
.uk-progress {
    display: block;
    max-width: 593px;
    margin-top: 0px;
    margin-right: auto;
    margin-left: auto;
    border: 1px solid #ddd;
    background-color: #fff;
    border-radius: 7px;
    height: 30px;
}

.switcher {
	pointer-events: none;
}

progress[value]::-webkit-progress-value {
  background-color: #4caf50;
}

progress[value]::-webkit-progress-bar {
  border-radius: 7px;
}

/* Agreement */

.agreement {
	max-width: 800px;
	margin-left: auto;
	margin-right: auto;
	text-align: right;
	line-height: 24px;
}

.agreement ul, .agreement ol {
	line-height: 24px;
}

@media (max-width: 640px) {

	.agreement {
		margin-left: 20px;
		margin-right: 20px;
	}

}

.approve {
	font-size: 20px;	
}

.uk-checkbox:checked, .uk-checkbox:indeterminate, .uk-radio:checked {
	background-color: #5bbd5f;
}

.uk-checkbox:checked:focus, .uk-checkbox:indeterminate:focus, .uk-radio:checked:focus {
	background-color: #4caf50;
}

.uk-checkbox:focus, .uk-radio:focus {
	border-color: #4caf50;
}

/* Lockers */

.uk-card-badge.uk-label {
	left: auto;
	top: 0;
	right: 0;
	border-radius: 0;
	padding: 5px 15px;
	color: #fff;
	background-color: #4caf50;
	font-size: 19px;
	line-height: 21px;
}

.uk-button.uk-button-primary {
    background-color: #4caf50;
    font-size: 17px;
}

.uk-button.uk-button-primary:focus, .uk-button.uk-button-primary:hover {
	background-color: #469a49;
}

h2.locker-title {
	margin-top: 5px;
}

.uk-card.uk-card-default.uk-card-body {
	min-height: 238px;
	border-bottom: 2px solid #4caf50;
	background-color: #f8f8f8;
    box-shadow: 0 0 6px 0 #d3d3d3;
}

.uk-card.uk-card-default.uk-card-body.occupied {
	border-bottom: 2px solid #d80404;
}

.uk-card.uk-card-default.uk-card-body.broken {
	border-bottom: 2px solid #ff9800;
}

.uk-card.uk-card-default.uk-card-body.process {
	border-bottom: 2px solid #795548;
}

.uk-card-default.uk-card-hover:hover {
	box-shadow: 0 14px 25px rgba(0,0,0,.16);
}

span.unlock.uk-icon {
	margin-top: 4px;
}

span.lock.uk-icon {
	margin-top: 38px;
}

.lockers-title {
	margin-top: 20px;
	margin-bottom: 20px;
}

.occupied .uk-card-badge.uk-label {
	background-color: #d80404;
}

.broken .uk-card-badge.uk-label {
	background-color: #ff9800;
}

.process .uk-card-badge.uk-label {
	background-color: #795548;
}

.ten-minutes {
	max-width: 680px;
	font-weight: 500;
	padding: 15px;
	margin: auto;
	border: 1px solid red;
	color: red;
	margin-bottom: 18px;
	font-size: 18px;
}

span.underline {
	text-decoration: underline;
}

button.uk-button.uk-button-primary.my-choice.cancel-choice, .uk-card-badge.uk-label.status-label.my-choice {
	background-color: #283593;
}

.admin-button {
    width: 50px;
    height: 50px;
    background: #ffffff;
    color: #525252;
    box-shadow: 0px 2px 2px #b1b1b1;
}

.admin-button:hover {
    background: #fff;
}

.admin-button:active {
    box-shadow: 0px -2px 2px #b1b1b1;
}

a.uk-icon-button.admin-button.icon-disabled {
	color: #c7c7c7;
}

.uk-tooltip	{
	font-size: 14px;
}

.uk-card.uk-card-default.uk-card-body.uk-card-hover.my-choice {
	border-bottom: 2px solid #283593;
}

/* List Blocks */

.uk-width-1-1.blocks-status-table-wrapper table {
	direction: rtl;
    width: 100%;
    border-collapse: collapse;
}

.uk-width-1-1.blocks-status-table-wrapper table td {
	padding: 5px;
}

.uk-width-1-1.blocks-status-table-wrapper table td.hidden {
	color: #c70404;
	font-weight: 600;
}

.uk-width-1-1.blocks-status-table-wrapper table td.shown {
	color: #469a49;
	font-weight: 600;
}

.back-btn-wrapper {
	position: relative;
}

.back-btn-wrapper .back-btn {
	position: absolute;
	right: 0;
}

/* Student Details */

.details {
	max-width: 640px;
	margin-left: auto;
	margin-right: auto;
}

.field-error {
    background-color: #fff2f2 !important;
    border-color: #ff8e8e !important;
}

a.uk-button.uk-button-primary.newlockerprice-cancel, a.uk-button.uk-button-primary.removelocks-cancel, a.uk-button.uk-button-primary.addlocks-cancel, a.uk-button.uk-button-primary.removeblocks-cancel, a.uk-button.uk-button-primary.hideblocks-cancel,a.uk-button.uk-button-primary.showblocks-cancel, a.uk-button.uk-button-primary.addblocks-cancel, a.uk-button.uk-button-primary.systemmessage-cancel, a.uk-button.uk-button-primary.returnedlock-cancel, a.uk-button.uk-button-primary.breaklock-cancel, a.uk-button.uk-button-primary.tos-cancel, a.uk-button.uk-button-primary.studentidtocancel-cancel, a.uk-button.uk-button-primary.newlockpassword-cancel, a.uk-button.uk-button-primary.newlock-cancel, a.uk-button.uk-button-primary.cancel, a.uk-button.uk-button-primary.edit-cancel {
	background-color: #d80404;
}

a.uk-button.uk-button-primary.newlockerprice-cancel:hover, a.uk-button.uk-button-primary.removelocks-cancel:hover, a.uk-button.uk-button-primary.addlocks-cancel:hover, a.uk-button.uk-button-primary.removeblocks-cancel:hover, a.uk-button.uk-button-primary.hideblocks-cancel:hover, a.uk-button.uk-button-primary.showblocks-cancel:hover, a.uk-button.uk-button-primary.addblocks-cancel:hover, a.uk-button.uk-button-primary.systemmessage-cancel:hover, a.uk-button.uk-button-primary.returnedlock-cancel:hover, a.uk-button.uk-button-primary.breaklock-cancel:hover, a.uk-button.uk-button-primary.tos-cancel:hover, a.uk-button.uk-button-primary.studentidtocancel-cancel:hover, a.uk-button.uk-button-primary.newlockpassword-cancel:hover, a.uk-button.uk-button-primary.newlock-cancel:hover, a.uk-button.uk-button-primary.cancel:hover, a.uk-button.uk-button-primary.edit-cancel:hover {
	background-color: #c70404;
}

/* Payment */

.payment {
	max-width: 640px;
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 30px;
}

.block-pay {
	display: none;
	max-width: 400px;
	margin-top: 28px;
	margin-right: auto;
	margin-left: auto;
	padding: 45px;
	background-color: #fff;
	box-shadow: 0 0 6px 0 #e2dbdb;
	text-align: center;	
}

.payment-icon {
	margin-left: 8px;
	vertical-align: text-bottom;
}

.payment-iframe {
	min-height: 680px;
	width: 100%;
	display: none;
}


/* Notifications */

.uk-notification-message.uk-notification-message-danger {
	background: #FA5C5C;
    color: white;
    border-color: rgba(216,80,48,.3);
}

.uk-notification-message.uk-notification-message-success {
	background: #29BF10;
    color: white;
    border-color: rgba(216,80,48,.3);
}

.uk-close {
	color: #000;
}

/* Success page */

th.table-title {
	font-size: 24px;
	font-weight: bold;
	text-align: center;
	color: #000;
}

ul.success-locker-info li {
	font-size: 24px;
}

ol.instructions {
	padding-top: 20px;
}

ol.instructions li {
	font-size: 18px;
	line-height: 22px;
	text-align: right;
}

.video-link-icon {
	vertical-align: text-bottom;
}

a.video-link {
	text-decoration: none;
}

.video-wrapper {
	margin-top: 15px;
}

/* Admin */

.admin-menu {
	float: right;
	text-align: right;
}

.admin-menu button.uk-button.uk-button-primary {
	font-size: 18px;
}

.uk-dropdown-nav>li>a {
	color: #1e87f0;
    font-size: 16px;
}

.uk-placeholder {
    border: 1px dashed #9e9e9e;
    min-height: 300px;
}

.add-blocks, .remove-blocks {
	max-width: 640px;
	margin-left: auto;
	margin-right: auto;
}

.uk-modal-footer {
	text-align: left !important;
}

.uk-modal-footer button.uk-button.uk-button-primary.uk-modal-close, .uk-modal-footer button.uk-button.uk-button-primary {
	margin-right: 5px;
}